function [pitches, mid_pitches] = PitchTable
% return putches and mid_pitches, where mid_pitches uses log_2(1/2)
% the equation is from https://en.wikipedia.org/wiki/Pitch_(music)

pitch_index = 12:137;
pitches = 2.^((pitch_index-69)/12)*440;

mid_pitch_index = 12.5:1:136.5;
mid_pitches = 2.^((mid_pitch_index-69)/12)*440;
end