%%This function takes an input frequency and outputs its nearest pitch in a
%%given table of pitches

function closest_pitch = compareToPitches(pitch, pitchtable, midpitchtable)

%%Boolean that indicates if the closest pitch to the input frequency has been found 
found = 0;

%%If input frequency is lower than the lowest pitch in the table, output
%%the lowest pitch in the table and set found to true.
if (pitch <= midpitchtable(1))
    closest_pitch = pitchtable(1);
    found = 1;
end

%%If exactpitch has not been found yet, and if input frequency is higher than the highest pitch in the table, output
%%the highest pitch in the table and set found to true.
if (pitch > midpitchtable(length(midpitchtable)))
    closest_pitch = pitchtable(length(pitchtable));
    found = 1;
end

%%If exactpitch has not been found yet, compare it to all values in the
%%midpitchtable and output the corresponding pitch in pitchtable. 
i = 1;
while(found==0)
    if(pitch > midpitchtable(i) && pitch <= midpitchtable(i+1))
        closest_pitch = pitchtable(i+1);
        found=1;
    end
    i = i+1;
end

end