function Y = displaySpectrogram(S,F,T)
%%Quick function to display the spectrogram of a given STFT
%%uimagesc is used so that the axes can have non-linear spacing
figure();
X = abs(S);
uimagesc(T,F,S);
h = colorbar;
set(h, 'ylim', [0 200])
axis xy
xlabel('Time (s)')
ylabel('Freq (Hz)')

end