function [freq freq_gt] = find_freq(wave,wave_gt,fs)
    k = xcorr(wave);
    [~, locs] = findpeaks(k, 'MinPeakHeight', max(k)*0.6);
    if(length(locs)<=1)
       freq= -1; 
       freq_gt=-1;
       return;
    end
    freq = 1/(max(diff(locs))/fs);
    
    k_gt = xcorr(wave_gt);
    [~, locs_gt] = findpeaks(k_gt, 'MinPeakHeight', max(k_gt)*0.6);
    if(length(locs_gt)<=1)
       freq_gt= -1; 
       return;
    end
    freq_gt = 1/(max(diff(locs_gt))/fs);
end


